LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
CachedDynamicResultSetStubFactory Service Referencepublished

is a factory for CachedDynamicResultSetStub implementations. More...

`import"CachedDynamicResultSetStubFactory.idl";`

Inheritance diagram for CachedDynamicResultSetStubFactory:

## Additional Inherited Members
Public Member Functions inherited from XCachedDynamicResultSetStubFactory
com::sun::star::ucb::XDynamicResultSet | createCachedDynamicResultSetStub ([in] com::sun::star::ucb::XDynamicResultSet Source)
| creates a remote optimizes XDynamicResultSet. More...
void | connectToCache ([in] com::sun::star::ucb::XDynamicResultSet Source, [in] com::sun::star::ucb::XDynamicResultSet TargetCache, [in] sequence< com::sun::star::ucb::NumberedSortingInfo > SortingInfo, [in] com::sun::star::ucb::XAnyCompareFactory CompareFactory) raises ( com::sun::star::ucb::ListenerAlreadySetException , com::sun::star::ucb::AlreadyInitializedException )
| If you have instantiated a CachedDynamicResultSet on client side already, use this to connect your given Source on server side to the TargetCache. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a factory for CachedDynamicResultSetStub implementations.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/CachedDynamicResultSetStubFactory.idl